#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA774_SU1E_AU1E_AU2E
#ifdef MEDIA772_SU1E
extern void F1762_();


int16_t G3545_i_Counter;
long G3547_[20];
int16_t G3548_;
int16_t G3549_;
char G3723_[100];
#endif
#if ((EXETYPE == C07_HINT) || (defined(MEDIA772_SU1E) && (EXETYPE == C05_ANIM)))
BOOLEAN G3543_B_;
#endif
#if (defined(MEDIA772_SU1E) && (EXETYPE == C06_CEDT))
BOOLEAN G3543_B_ = C1_TRUE;
#endif
#ifdef MEDIA772_SU1E
BOOLEAN G3544_B_ = C1_TRUE;
#endif
#if (defined(MEDIA772_SU1E) && ((EXETYPE == C07_HINT) || (EXETYPE == C05_ANIM)))
BOOLEAN G3546_B_ = C1_TRUE;
#endif
#if (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT))
int16_t G3545_i_Counter;
char G3866_Unreferenced[238];
BOOLEAN G3544_B_;
int16_t G3865_;
BOOLEAN G3546_B_;
#endif


#ifdef MEDIA772_SU1E
void F1757_PrintString_Unreferenced(
register char* P5493_)
{
        register char* L5444_;
        char L5227_[100];


        if (G3543_B_) {
                return;
        }
        L5444_ = L5227_;
        while ((*L5444_ = *P5493_) != '\0') {
                if (*L5444_ == '\n') { /* Add a \r character after each \n */
                        L5444_++;
                        *L5444_ = '\r';
                }
                L5444_++;
                P5493_++;
        }
        Cconws(L5227_);
}

void F1758_Unreferenced(
register char* P5494_pc_Unreferenced)
{
        BOOLEAN L5228_;


        if (G3544_B_) {
                return;
        }
        L5228_ = G3543_B_;
        G3543_B_ = C0_FALSE;
#if ((EXETYPE == C07_HINT) || (EXETYPE == C05_ANIM))
        F1762_();
#endif
        G3543_B_ = L5228_;
}
#endif

#if ((EXETYPE == C07_HINT) || (defined(MEDIA772_SU1E) && ((EXETYPE == C05_ANIM) || (EXETYPE == C06_CEDT))))
void F1759_(
)
{
#if (defined(MEDIA772_SU1E) && (EXETYPE == C06_CEDT))
        G3545_i_Counter = C0_FALSE;
#endif
#if ((EXETYPE == C07_HINT) || (defined(MEDIA772_SU1E) && ((EXETYPE == C05_ANIM))))
        G3543_B_ = G3545_i_Counter = C0_FALSE;
#ifdef MEDIA772_SU1E
        G3546_B_ = G3544_B_ = C1_TRUE;
#endif
#endif
}

#if (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT))
void F2005_(
)
{
}
#endif

#ifdef MEDIA772_SU1E
BOOLEAN F1760_Unreferenced(
)
{
        register int16_t L5229_i_Character;


        if (G3543_B_) {
                return C0_FALSE;
        }
        while (Cconis()) {
                Cconin();
        }
        while (!Cconis());
        L5229_i_Character = Cconin();
        return (L5229_i_Character == 't') || (L5229_i_Character == 'T') || (L5229_i_Character == 'y') || (L5229_i_Character == 'Y');
}

void F1761_Delay_Unreferenced(int16_t P5495_) {
        while (P5495_ >= 0) {
                M526_WaitVerticalBlank();
                P5495_--;
        }
}

#if ((EXETYPE == C07_HINT) || (EXETYPE == C05_ANIM))
void F1762_(
)
{
        if (Kbshift(-1) & 0x03) {
                return;
        }
        while (Cconis()) {
                Crawcin();
        }
        Crawcin();
}
#endif

void F1763_Unreferenced(
)
{
        int16_t L5230_;
#if ((EXETYPE == C07_HINT) || (EXETYPE == C05_ANIM))
        BOOLEAN L5231_;
#endif


#if ((EXETYPE == C07_HINT) || (EXETYPE == C05_ANIM))
        if (!G3546_B_) {
                L5231_ = G3543_B_;
                G3543_B_ = C0_FALSE;
#endif
                L5230_ = G3545_i_Counter;
                while (L5230_--);
#if ((EXETYPE == C07_HINT) || (EXETYPE == C05_ANIM))
                G3543_B_ = L5231_;
                if (!G3544_B_) {
                        F1762_();
                }
        }
#endif
        G3545_i_Counter--;
}

void F1764_Unreferenced(long P5496_) {
        int16_t L5232_;
#if ((EXETYPE == C07_HINT) || (EXETYPE == C05_ANIM))
        BOOLEAN L5233_B_Backup;
#endif


        G3547_[G3545_i_Counter++] = P5496_;
#if ((EXETYPE == C07_HINT) || (EXETYPE == C05_ANIM))
        if (G3546_B_) {
                return;
        }
        L5233_B_Backup = G3543_B_;
        G3543_B_ = C0_FALSE;
#endif
        L5232_ = G3545_i_Counter;
        while (L5232_--);
#if ((EXETYPE == C07_HINT) || (EXETYPE == C05_ANIM))
        G3543_B_ = L5233_B_Backup;
        if (!G3544_B_) {
                F1762_();
        }
#endif
}

void F1765_Unreferenced(
)
{
        int16_t L5234_;
#if ((EXETYPE == C07_HINT) || (EXETYPE == C05_ANIM))
        BOOLEAN L5235_B_Backup;
#endif


#if ((EXETYPE == C07_HINT) || (EXETYPE == C05_ANIM))
        if (G3546_B_) {
                return;
        }
        L5235_B_Backup = G3543_B_;
        G3543_B_ = C0_FALSE;
#endif
        L5234_ = G3545_i_Counter;
        while (L5234_--);
#if ((EXETYPE == C07_HINT) || (EXETYPE == C05_ANIM))
        G3543_B_ = L5235_B_Backup;
        if (!G3544_B_) {
                F1762_();
        }
#endif
}

void F1766_Unreferenced(int16_t P5497_) {
        if ((P5497_ > G3548_) || (P5497_ == G3549_)); /* Useless code */
}
#endif
#endif
#endif
